#!/bin/bash
# Generates Apache rpm from  apache_1.3.*tar.gz source (in this directory)
# with built in Enhydra Director Module 
release=$1
if
	[[ x$release = x ]]
then
	release=5.1
fi
platform=i386
PATH=/usr/local/apache/bin:$PATH
export PATH
if 
	[ ! -f $(ls -1 apache_1.3.*tar.gz | tail -1) ] 
then
	echo "No apache source in this directory"
	exit 1
fi

if
	[ -d /usr/local/apache ]
then
	if
		[[ -x /usr/local/apache/bin/apachectl ]]
	then
		if
			/usr/local/apache/bin/apachectl stop | grep "not running"
		then
			startApache=N
		else
			startApache=Y
		fi
	else
		startApache=N
	fi
	mv /usr/local/apache /usr/local/apache.old
	if 
		[ -f /usr/local/apache/conf/httpd.conf ]
	then
		oldApacheRpm=$(rpm -qf /usr/local/apache/conf/httpd.conf)
	fi
	if 
		[ x$oldApacheRpm != x ]
	then
		rpm -e $oldApacheRpm
	fi
fi

if
	directorRpm=$(rpm -qa | grep apache-1.3[0-9.]*-director)
	[ x$directorRpm != x ]
then
	rpm -e $directorRpm
fi

dos2unix dos2unix_mod.sh
chmod +x dos2unix_mod.sh
for name in $(ls *.spec)
do
	./dos2unix_mod.sh $name
done
mkdir -p  apache-director-${release}/director
cd ../..
cp -r apache cgi common config libxml README.html README-TUNING.html test xml install/Linux/apache-director-${release}/director
cd install/Linux/apache-director-${release}/director
find . -type d -name CVS -depth -exec rm -rf {} \;
find apache config common -type f -exec ../../dos2unix_mod.sh {} \;
find cgi libxml test xml -type f \( -name "*.c" -o -name "*.h" \) -exec ../../dos2unix_mod.sh {} \;

cd  ../..
mkdir -p ../../Distribution/Linux
mkdir -p ../../Distribution/Source
RPM_DIR=/usr/src/redhat

for apacheSource in $(ls -1 apache_1.3.*tar.gz)
do
	echo -e "\n\n\n"
	echo "Building distribution for $apacheSource"
	echo -e "\n\n\n"
	sleep 5
	apacheVersion=$(echo $apacheSource | sed "s/apache_//
		s/.tar.gz//")
	apacheMinorVersion=$(echo $apacheVersion | sed "s/1.3.//")
	if
		[ $apacheMinorVersion -lt 9 ]
	then
		echo "Warning Enhydra Director module may or may not work with Apache version less then 1.3.9"
		sleep 5
	fi
	cp $apacheSource  $RPM_DIR/SOURCES/apache-${apacheVersion}.tar.gz
	sed  "/Version: /s/: .*/: $apacheVersion/" apache-so.spec > \
	$RPM_DIR/SPECS/apache-so-${apacheVersion}.spec
	rpmbuild -ba --target ${platform} $RPM_DIR/SPECS/apache-so-${apacheVersion}.spec
	rpm -i  $RPM_DIR/RPMS/${platform}/apache-${apacheVersion}-1.so.${platform}.rpm
	tar -zvcf  $RPM_DIR/SOURCES/apache-${apacheVersion}-director-${release}.tar.gz  apache-director-${release}
	
	sed  "/Name: /s/: .*/: apache-${apacheVersion}-director/
/Version: /s/: .*/: ${release}/" apache-director.spec > \
		$RPM_DIR/SPECS/apache-${apacheVersion}-director-${release}.spec
	if
		rpmbuild -ba --target ${platform} $RPM_DIR/SPECS/apache-${apacheVersion}-director-${release}.spec
	then
		cp $RPM_DIR/RPMS/${platform}/apache-${apacheVersion}-director-${release}-1.${platform}.rpm ../../Distribution/Linux
		cp $RPM_DIR/RPMS/${platform}/apache-${apacheVersion}-director-module-${release}-1.${platform}.rpm ../../Distribution/Linux
		cp $RPM_DIR/SRPMS/apache-${apacheVersion}-director-${release}-1.src.rpm ../../Distribution/Source
	else
		echo -e "\n\n\n"
		echo "Error: The rpm file could not been built"
		echo -e "\n\n\n"
	fi

	rpm -e apache-${apacheVersion}-1.so
	rm -rf /usr/local/apache
done

rm -rf apache-director-${release}

if
        [ -d /usr/local/apache.old ]
then
	rm -rf /usr/local/apache
        mv /usr/local/apache.old /usr/local/apache
	if
		[ ${startApache:=Y} = Y ]
        then
		if
			[[ -x  /usr/local/apache/bin/apachectl ]]
		then
                 	/usr/local/apache/bin/apachectl start
		fi
        fi
fi

